Bug 864772 - Add-brick fails to start bricks when more than one is supplied in CLI
Summary: Add-brick fails to start bricks when more than one is supplied in CLI
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
(Show other bugs)
Version: mainline
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: krishnan parthasarathi
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-10 05:06 UTC by krishnan parthasarathi
Modified: 2015-11-03 23:04 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 17:33:20 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description krishnan parthasarathi 2012-10-10 05:06:00 UTC
Description of problem:
# gluster volume add-brick <volname> host1:brick1 host2:brick2

Add-brick returns success. But on running volume-status (on a started volume), we find that only the last brick in the list of bricks supplied is started.

Version-Release number of selected component (if applicable):
144db7f39f35a51c24558c81faea3f49c237312f on master

How reproducible:
Always

Steps to Reproduce:
1. Create a glusterfs volume.
2. Start the volume.
3. Add more than one brick in a single add-brick command
4. Run volume-status to check if all bricks are running.
  
Actual results:
Only the last brick in the list of bricks supplied is started

Expected results:
All the bricks supplied to add-brick must be started.

Additional info:
Offending commit - http://review.gluster.com/3668

Comment 1 Vijay Bellur 2012-10-11 02:20:18 UTC
CHANGE: http://review.gluster.org/4051 (glusterd: add-brick failed to start bricks when more than one were given) merged in master by Anand Avati (avati@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.